export default self;
declare const self: OverallUserCard;
declare class OverallUserCard {
    show: boolean;
    isMyFriend: boolean;
    user: {};
    config: {
        top: number;
        left: number;
    };
    cache: {};
    toggle(show?: boolean, user?: {}, config?: {
        top: number;
        left: number;
    }, isMyFriend?: boolean): void;
    setCache(key: any, data: any): void;
    onUserInfoUpdate(user: any): void;
    clearCache(): void;
}
